Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class IntronAnnotation

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.data.sequences.annotation.SequenceAnnotation
              de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
                  de.jstacs.data.sequences.annotation.LocatedSequenceAnnotationWithLength
                      de.jstacs.data.sequences.annotation.IntronAnnotation

All Implemented Interfaces:
  Storable

    public class IntronAnnotation

extends LocatedSequenceAnnotationWithLength

Annotation class for an intron as defined by a donor and an acceptor splice site.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`IntronAnnotation(StringBuffer representation)` The standard constructor for the interface `Storable`.
`IntronAnnotation(String identifier, SinglePositionSequenceAnnotation donor, SinglePositionSequenceAnnotation acceptor, Result... additionalAnnotation)` Creates a new `IntronAnnotation` from a donor `SinglePositionSequenceAnnotation` and an acceptor `SinglePositionSequenceAnnotation` and a set of additional annotations.

Method Summary

Methods inherited from class de.jstacs.data.sequences.annotation.LocatedSequenceAnnotationWithLength
`fromXML, getEnd, getLength, toString, toXML`

Methods inherited from class de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
`getPosition`

Methods inherited from class de.jstacs.data.sequences.annotation.SequenceAnnotation
`getAnnotations, getIdentifier, getSubAnnotations, getType`

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, getNumberOfResults, getResultAt, getResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntronAnnotation

    public IntronAnnotation(String identifier,
                            SinglePositionSequenceAnnotation donor,
                            SinglePositionSequenceAnnotation acceptor,
                            Result... additionalAnnotation)
                     throws Exception

  Creates a new `IntronAnnotation` from a donor `SinglePositionSequenceAnnotation` and an acceptor `SinglePositionSequenceAnnotation` and a set of additional annotations.

  Parameters:
    `identifier` - the identifier of this annotation
    `donor` - the donor annotation
    `acceptor` - the acceptor annotation
    `additionalAnnotation` - the additional annotations
  Throws:
    `Exception` - if `donor` or `acceptor` are not of the correct `SinglePositionSequenceAnnotation.Type`
  See Also:
    `SinglePositionSequenceAnnotation`, `SinglePositionSequenceAnnotation.Type`

### IntronAnnotation

    public IntronAnnotation(StringBuffer representation)
                     throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `IntronAnnotation` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `IntronAnnotation` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `LocatedSequenceAnnotationWithLength.LocatedSequenceAnnotationWithLength(StringBuffer)`, `Storable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD